selfreflect(6)

NAME
selfreflect - screen saver.

SYNOPSIS
selfreflect [--display host:display.screen] [--visual visual] [--window] [--root] [--delay number] [--speed number] [--scale number] [--fps]

DESCRIPTION
Platonic solids with inner mirrors.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

--speed number
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

--scale number
    Frame buffer resolution. 0.5 means halve the resolution for better performance but lower quality output. Default 1.0, full quality.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1), https://www.shadertoy.com/view/XfyXRV

COPYRIGHT
Copyright © 2024 by mrange. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
mrange.